import { feature } from 'topojson';
import { tsv, json } from 'd3';

export const loadAndProcessData = () => 
  Promise
    .all([
      tsv('50m.tsv'),
 //    tsv('https://unpkg.com/world-atlas@1.1.4/world/50m.tsv'),     
       json('https://unpkg.com/world-atlas@1.1.4/world/50m.json')
    ])
    .then(([tsvData, topoJSONdata]) => {
      const rowById = tsvData.reduce((accumulator, d) => {
        accumulator[d.iso_n3] = d;
        return accumulator;
      }, {});
       
 			console.log("88  88") 
     console.log(rowById);  
			console.log("888 8")

      const countries = feature(topoJSONdata, topoJSONdata.objects.countries);

      countries.features.forEach(d => {
        console.log(rowById[d.id]);   
       Object.assign(d.properties, rowById[d.id]);
      });
			console.log("0000")
			console.log(countries)
 			console.log("0000")
     return countries;
    });